
<div *ngIf="tandaTerimaDocument">
    <h2><span jhiTranslate="mpmApp.tandaTerimaDocument.detail.title">Tanda Terima Document</span> {{tandaTerimaDocument.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="mpmApp.tandaTerimaDocument.iddocument">Iddocument</span></dt>
        <dd>
            <span>{{tandaTerimaDocument.iddocument}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.tandaTerimaDocument.idreceipt">Idreceipt</span></dt>
        <dd>
            <span>{{tandaTerimaDocument.idreceipt}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.tandaTerimaDocument.doctype">Doctype</span></dt>
        <dd>
            <span>{{tandaTerimaDocument.doctype}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.tandaTerimaDocument.doc">Doc</span></dt>
        <dd>
            <div *ngIf="tandaTerimaDocument.doc">
                <a (click)="openFile(tandaTerimaDocument.docContentType, tandaTerimaDocument.doc)">
                    <img [src]="'data:' + tandaTerimaDocument.docContentType + ';base64,' + tandaTerimaDocument.doc" style="max-width: 100%;" alt="tandaTerimaDocument image"/>
                </a>
                {{tandaTerimaDocument.docContentType}}, {{byteSize(tandaTerimaDocument.doc)}}
            </div>
        </dd>
        <dt><span jhiTranslate="mpmApp.tandaTerimaDocument.nourut">Nourut</span></dt>
        <dd>
            <span>{{tandaTerimaDocument.nourut}}</span>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'tanda-terima-document/'+ tandaTerimaDocument.id + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
